%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% LaTeX Template: Beamer arrows
%
% Source: http://www.texample.net/
% Feel free to distribute this template, but please keep the
% referal to TeXample.net.
% Date: Nov 2006
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% How to use writeLaTeX: 
%
% You edit the source code here on the left, and the preview on the
% right shows you the result within a few seconds.
%
% Bookmark this page and share the URL with your co-authors. They can
% edit at the same time!
%
% You can upload figures, bibliographies, custom classes and
% styles using the files menu.
%
% If you're new to LaTeX, the wikibook is a great place to start:
% http://en.wikibooks.org/wiki/LaTeX
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\documentclass{beamer} %
\usetheme{CambridgeUS}

\input{packagelist.tex} %separate file list for packages 
\input{customcommands.tex}
\input{compatibilitycommands.tex} %sometimes things go wrong when using different tex compilers. this file calls on custom commands that make it easy to resolve

%%%%%%%%%%%%TITLE 
\title[Optimized Graphs for DFNs]{Optimized Reduced Models for Discrete Fractures Used in Modeling Flow and Particle Transport}
\author{Jaime Lopez-Merizalde}
\institute{Tulane University}
\date{\today}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

\begin{comment}
	:Title: Beamer arrows
	:Tags: Remember picture, Beamer, Physics & chemistry, Overlays
	:Use page: 3

	With PGF/TikZ version 1.09 and later, it is possible to draw paths between nodes across
	different pictures. This is a useful feature for presentations with the
	Beamer package. In this example I've combined the new PGF/TikZ's overlay feature
	with Beamer overlays. Download the PDF version to see the result.

	**Note.** This only works with PDFTeX, and you have to run PDFTeX twice.

	| Author: Kjell Magne Fauske
\end{comment}


%--------SECTION
\section{Fracture networks: Background and Relevant Problems}

%--------FRAME
\begin{frame}{\normalsize Fracture Networks: Intersections of Mechanical Breaks in Rocks}
	
	%-----------------Figure
	\vspace{-.70 cm}		
	\begin{figure}[h]
		\includegraphics[width=.65\textwidth]{images/rock_frack_sample_cr_jane_stormer.jpg}
		\caption{\scriptsize Rock fractures showing through a surface }
		\label{fig: DFN}
	\end{figure}	
	
	%-----------------Itemize	
	\vspace{-.75cm}
	\begin{itemize}
		\small
		%\item \textbf{Fractures:} Small cracks and openings in rock matrix.
		\item \textbf{Fractures:} mechanical breaks in rocks - originating from stresses (i.e. thermal, high fluid pressure) around flaws \cite{NRC96}.
		\item Human activity has increased need to calculate flows through fractured rock has increased in recent decades.
	\end{itemize}
	
\end{frame}


%%%-----------FRAME
\begin{frame}{Fracture networks are main pathways for groundwater contamination, hydrofracking, nuclear waste storage}
	
    \begin{columns}[T,onlytextwidth]
        \begin{column}{.33\textwidth}
            \begin{minipage}{\textwidth}
            
            	%-----------------Figure
		\vspace{-.25cm}		
		\begin{figure}[h]
			\includegraphics[width=1.0\textwidth]{images/Damaging-consequences-of-agricultural-runoff.jpg}
			\caption{\tiny Agricultural runoff. }
			\label{fig: agricultural runoff}
		\end{figure}	
		
		%-----------------Itemize	
		\vspace{-1.05cm}
		\hspace{-.5cm}
            	\begin{itemize}
			\tiny
			\item Hazardous agricultural, industrial wastes leads to contaminant buildups.
			\item Many studies indicate \textcolor{red}{groundwater contamination by $NO_3^-$(nitrate)}.
			\item Led to Safe Water Drinking ACT: EPA sets max contaminant level to 10mg/L of nitrates in drinking water.
		\end{itemize}
		
            \end{minipage}  
            
        \end{column}
        
        %-----------------Column	
        \begin{column}{.33\textwidth}
        	    
	    %-----------------Minipage			
                \begin{minipage}{\textwidth}
                
                        %-----------------Figure
		\vspace{-.25cm}	
		\begin{figure}[h]
			\includegraphics[width=1.0\textwidth]{images/hydrofracking.jpg}
			\caption{\tiny Hydrofracking allows flow of natural gas and oil from repositories.}
			\label{fig: hydrofracking}
		\end{figure}	
                
                	%-----------------Itemize	
		\vspace{-1.05cm}
		\hspace{-.5cm}
                	\begin{itemize}
			\tiny
			\item High world demand on energy raises concerns on limited supplies.
			\item Petroleum Reservoirs from in highly fractured rocks.
			\item \textcolor{red}{Fractures provide permeable pathways for the transport of hydrocarbons.}
		\end{itemize}
                \end{minipage}
        \end{column}
        
        %-----------------Column	
        \begin{column}{.35\textwidth}
        
        	    %-----------------Minipage
                \begin{minipage}{\textwidth}
                
                        %-----------------Figure
		\vspace{-.25cm}		
		\begin{figure}[h]
			\includegraphics[width=.80\textwidth]{images/spentfuelrod.jpg}
			\caption{\tiny  Spent fuel rod and transportation canister.}
			\label{fig:}
		\end{figure}	
                
                	%-----------------Itemize	
		\vspace{-1.1cm}
		\hspace{-.5cm}
                	\begin{itemize}
			\tiny
			\item  \textcolor{red}{spent fuel rods from nuclear reactors.} (High-level nuclear waste) is stored in underground repositories.
			\item Low-permeability matrix with risk of fracturing leads to pathways for radioactive waste escaping through groundwater. 
			\item Safety considerations require fuel canisters to be located hundreds of meters from major fracture zones.
		\end{itemize}
		
                \end{minipage}
                
        \end{column}
        
    \end{columns}	
    
\end{frame}


%--------SECTION
\section{Fracture networks: High Fidelity Models }

%%%-----------FRAME
\begin{frame}{Discrete Fracture Networks (DFNs): High-fidelity models for Flow and Transport}

%-----------------Minipage
\begin{minipage}{0.49\textwidth}
%-----------------Itemize	
%\vspace{-1.1cm}
%\hspace{-.5cm}
\begin{itemize}
	\footnotesize
	\item  Current models are \textcolor{red}{3D PDEs} flowing through \textcolor{red}{complex geometry.}\\[1ex]
	\item Meshed finite elements are created for a numerical PDE solution.\\[1ex]
	\item \textcolor{red}{Numerical results} are \textcolor{red}{validated} through experiments at the Aspo Hard Rock Laboratory.\\[1ex] %\cite{srinivasan2018}
	\item \textbf{Breakthrough} curves is important product of modeling effort.
	\item Video and figure credit: Jeffrey Hyman, Los Alamos National Laboratory. 
\end{itemize}
\end{minipage}
%
%\hspace{17pt}
%
\begin{minipage}{0.49\textwidth}

% %-----------------Video
%\vspace{-.25cm}		
%\includemedia[
%  label=vidA,
%  addresource=videos/dfnWorks.avi
%  activate=pageopen,
%  width=5cm, height=4cm,
%  flashvars={
%     source=videos/dfnWorks.avi
%    &loop=true
%  }
%]{}{VPlayer.swf}

 %-----------------Figure
\vspace{-1.00cm}
\begin{figure}[h]
	\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
	\caption{\tiny A DFN used for high-fidelity computations. Stochastically generated fractures idealized as 2D planes. Each plane is meshed for flow and transport calculations. Particle tracking is performed for breakthrough curve timings. }
	\label{fig: DFN}
\end{figure}
\end{minipage}

\end{frame}

%%%-----------FRAME
\begin{frame}{Measurable Results of Modeling: Particle Tracking, Breakthrough curves}

\begin{itemize}
	\footnotesize
	\item  Particles placed at one boundary and course through the DFN\\[1ex]
	\item The path is determined by pressures, translated to a velocity field.\\[1ex]
	\item Breakthrough curves are the times all particles take to reach the outlet boundary. \\[1ex]
	\item Boundaries determined by horizontal planes perpendicular to x-axis. \\[1.0ex]
	\end{itemize}
%
\end{frame}

%%%-----------FRAME
\begin{frame}{Modeling DFNs is expensive}

%
\hspace{6.0cm}
%
%-----------------Minipage	
\begin{minipage}{0.49\textwidth}
 %-----------------Figure
\vspace{-1.00cm}
\begin{figure}[h]
\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
\caption{\tiny Simulated DFN used for high-fidelity computations}
\label{fig: DFN}
\end{figure}

\end{minipage}
	
%-----------------Minipage
\vspace{-6.5cm}	
\begin{minipage}{0.49\textwidth}

%-----------------Itemize	
    \begin{itemize}
    \footnotesize
        \item Modeling 3D DFNs is expensive. 30 minutes per DFN \\[1.5ex]
        \item To quantify uncertainty, need a large ensemble, 1000s of runs. \\[1.5ex]
        \item Goal is to find simpler model to reduce computation and still capture quantities of interest.
                \pause
        \item Proposed solution is to use graphs. \\[1.5ex] 
        \textcolor{red}{3D pde fluid model $\to$ Linear System}
    \end{itemize}
    
\end{minipage}

\end{frame}

%%%-----------FRAME
\begin{frame}{\normalsize DFNs are Represented by Graph Models}
%The graph model: title —change to dfns are represented by graph models
%
 %-----------------Figure
\vspace{-25pt}
\begin{figure}[ht]%
    \centering
    \subfloat[\scriptsize Six fracture network with accompanying graph equivalent (overlaid). Large black lines represent inlet and outlet boundaries.]{\includegraphics[width=5.25cm]{figures/DFN_and_graph.pdf} }%
    \qquad
    \hspace{5pt}
    \subfloat[\scriptsize Graph $G$ shows internal nodes as \textcolor{red}{red} and boundary nodes as \textcolor{green}{green}. Edges are represented with $e_i 's$]{\includegraphics[width=5.25cm]{figures/frac_network_sample_graph.pdf} }%
    \vspace{-0.25cm}
    \caption{\scriptsize A simple DFN composed of 6 fractures, 2 outlet boundaries, and 1 inlet boundary and its graph equivalent. Graphs are the central vehicle for the computation reduction and manipulation of large-scale fracture networks.}%
    \label{fig:DFN and graph equivalent}%
\end{figure}
 %-----------------Figure

\end{frame}
%%%-----------FRAME


%%%-----------FRAME
\begin{frame}{\normalsize Graph Advantages: Cheaper Alternative}
	
\begin{itemize}
	\item  Problem: 3D Meshes are expensive \\
			Solution: Graphs are significantly cheaper to create - \textbf{mesh-free.}% 
	
	\item Problem: Thousands of runs required for UQ\\
			Solution: Graphs require under a minute to run and create an ensemble of 1000s of simulations.
\end{itemize}

\end{frame}
%%%-----------FRAME


%%%-----------FRAME
\section{The Forward and Inverse Problems}
\begin{frame}{\normalsize Adapting 3D PDE Model to the Network ODE Model}

%\begin{minipage}{0.6\textwidth}

%-----------------Itemize	
\begin{itemize}
\scriptsize
\raggedright
%
 \item 3D PDE model is the steady state equation 
 %
\begin{align} 
\Aboxed{\nabla \cdot (\rho \vec{q}(\vec{x})) \rightarrow \nabla \cdot (-\rho K(\vec{x}) \nabla(P(\vec{x}))) =0} \nonumber
%\label{eq: steady state forward problem}
\end{align}
%	
\item Network model is a discrete mass balance equation. Conservation of mass at each node is used. \vspace{-.25cm}
\begin{align} 
\Aboxed{ \sum_{j=1}^n Q_{ij} = 0}\nonumber
\label{eq: conservation of mass graph}
\end{align}
%
\\ $\textcolor{red}{Q_{ij}}$: is the mass flux at node $v_i$ from node $v_j$.
        		 %-----------------Figure
		\begin{figure}
		%-----------------Minipage
		\begin{minipage}{.30\textwidth}
		\fbox{\includegraphics[width=0.5\textwidth]{figures/fracture_network_sample_massconserv.pdf}}
		\end{minipage}
		%
		\hspace{-1cm}
		%-----------------Minipage
		\begin{minipage}{.3\textwidth}
		\caption{\scriptsize Node $v_i$ is connected to nodes $v_{j_1}$, $v_{j_2}$, $v_{j_3}$, and $v_{j_4}$, with flow characterized by between the respective connections by $\textcolor{red}{Q_{ij_k}}$.}
		\end{minipage}
		% \hspace{-16pt}
		% \label{fig: fracture_network_sample_massconserv}
		\end{figure}

        \end{itemize}


\end{frame}


%%%-----------FRAME
\begin{frame}{\normalsize Networks equations are governed by conservation and Darcy's law}

%-----------------Itemize	
    \begin{itemize}
    \tiny
%    \raggedright
    	\item 3D PDE model is a steady state equation of
		\begin{align} 
			\Aboxed{Q_{ij} = q_{ij}\alpha_{ij}} \ \ \nonumber 
			%\label{eq: steady state forward problem}
		\end{align}
		$q_{ij}$ is the specific mass flux discharge, $\alpha_{ij}$ is the aperture of the idealized (planar) fracture.
		%\vspace{.05cm}
		%
        \item Specific mass flux  governed by Darcy flow.
        		\begin{align} 
       			\Aboxed{q_{ij} = -\kappa_{ij}\frac{(p_i-p_j)}{L_{ij}}}   \nonumber
        		\end{align}
		$\kappa_{ij} = k_{ij} g / \nu$ hydraulic conductivity,   $k_{ij} $ is facture permeability, $\nu$ is dynamic viscosity. 
		\vspace{0.1cm}
		%
        \item Lump parameters together into a new variable, $w_{ij}$. 
        		\begin{align} 
       			\Aboxed{w_{ij} = \frac{k_{ij}g}{\nu L_{ij} } = \frac{k_{ij}g\rho}{\mu L_{ij}}} \nonumber   
		\end{align}
		$L_{ij} = ||\vec{x}_i-\vec{x}_j||_2$ length between nodes, $\vec{x}_i$ is location of node $v_i$ 
		\vspace{0.05cm}
		%
        \item Update the conservation of mass equation.
        		\begin{align} 
       			\Aboxed{\sum_{j=1}^n  w_{ij}(p_i - p_j) = 0} \nonumber  
		\end{align}	
		\vspace{0.05cm}
		%			
    \end{itemize}
    
\end{frame}


%%-----------FRAME
\begin{frame}{\normalsize Writing a System of Equations to Solve for Weights and Pressures}
\scriptsize 

%-----------------Itemize	
    \begin{itemize}
    \scriptsize
%    \raggedright
    	\item With a rearrangement, we setup a system of linear equations.
		\begin{align} 
		\normalsize
		\vspace{-7.25cm}	
			\Aboxed{\sum_{j=1}^n  w_{ij}(p_i - p_j) = 0} \hspace{0.25cm}  \textcolor{red}{\longrightarrow} \hspace{-2.25cm} \Aboxed{K(\vec{w})p^\mathrm{o}-A(\vec{w})\vec{p} = 0}  \ \ \nonumber 
			%\label{eq: steady state forward problem}
		\end{align}	
%
%
\vspace{-.5cm}
\begin{align}
\Aboxed{
	M(\vec{w})\vec{p}
	=
	\vec{b}} \nonumber
%\label{eq: p = p0 dp = M^-1 w b forward solution}
\end{align}\\
%
%


$\textcolor{red}{A(\vec{w})}$ is the the weighted adjacency matrix, $\textcolor{red}{K(\vec{w})}$ is a diagonal matrix of the sum of the weights at each node $v_i$, $\textcolor{red}{p^\mathrm{o}}$ is the vector of unknown pressures (internal), \\[1.5ex] $\textcolor{red}{\vec{b}}$ is the vector that includes the boundary conditions (pressures).
	  \item Given boundary pressures in $\vec{b}$ and weights $\vec{w}$, solve for the internal pressures $p^\mathrm{o}$.
          \end{itemize}
\end{frame}

%%-----------FRAME
\begin{frame}{\normalsize Writing a System of Equations to Solve for Weights and Pressures} 
\scriptsize 

\begin{itemize}
	\item The forward problem has been implemented. We propose to optimize this solution, improving our result of matching the high-fidelity model.        
        \item We are interested in the \textcolor{red}{inverse problem:} \\[1.5ex]
        solve for the weights $\vec{w}$, given all of the pressures $\vec{p}$
        
        
        		\begin{align}
       			\Aboxed{\textcolor{red}{B(\vec{p})\vec{w} = 0}} \nonumber
		\end{align}
		\vspace{-0.50cm}
%	\pause
	\item  \textcolor{red}{Matrix $B$ is underdetermined!!}
	\item  $rank(B(\vec{p})) \leq n-m$, with a rank deficiency of $n_w-(n-m)$
	\item $n$ is the number of nodes (order of 1000s), $m$ is the number of boundary conditions equations (order of 100s), $n_w$ is the number of weights (order of 1000s).
\end{itemize}

\end{frame}
%%-----------FRAME


%%-----------FRAME
\begin{frame}{\normalsize Nominal Values of Parameters}
\scriptsize 

\begin{itemize}
\item Parameters are not generally well known, opens the necessity to quantify uncertainty (UQ).
\item In high-fidelity DFN, these parameters are assigned to each fracture uniformly.
\item This assignment is a result of a draw from pre-specified distributions. 
\end{itemize}

%\begin{center}
% \begin{tabular}{c c c c} 
% \hline
% Parameter & Dimension & Nominal Value & Distribution  \\ [0.5ex] 
% \hline\hline
% $\alpha$ & 6 & 87837 \\ 
% \hline
% $\nu$ & 7 & 78 \\
% \hline
%  $\kappa$ & 545 & 778  \\
%   \hline
%  $g$ & 545 & 778  \\
%   \hline
%  $\rho$ & 545 & 778  \\
%     \hline
%  $L$ & 545 & 778  \\
%  \hline
%\end{tabular}
%\end{center}

\end{frame}
%%-----------FRAME


%%-----------FRAME
\begin{frame}{Regularizing the Inverse Problem}
  \scriptsize
  \begin{itemize}
  \setlength\itemsep{0.90em}
    \item Matrix $B(\vec{p})$ is generally \textcolor{red}{highly underdetermined $\implies$ ill-posed problem.}
   
    \item Regularize weights by penalizing distance from a physically motivated estimate $\vec{w}_D$. 
  
    \item Regularize the response pressures with observed pressures($\vec{p}_{o}$) .
    
    \item Nondimensional quantities to consider: 
    	 \vspace{-.5cm}
	 $$  \text{Relative difference in pressures} \to \frac{||\vec{p}(\vec{w}_c)-\vec{p}_{o}||_2}{||\vec{p}_{o}||_2}<<1$$
	 $$  \text{and Darcy weights} \to   \frac{||\vec{w}-\vec{w}_D||_2}{||\vec{w}_D||_2}<<1$$ 

    \item   \normalsize \textcolor{red}{Tikhonov Regularization:}   
    \vspace{-.1cm}
    $$\boxed{ g(\vec{w}; \lambda, \vec{p}_o, \vec{w}_D)=\lambda\frac{||\vec{w}-\vec{w}_p||_2}{||\vec{w}_p||_2}+ (1-\lambda)\frac{||\vec{p}(\vec{w})-\vec{p}_o||_2}{||\vec{p}_o||_2}  }  $$
    $\lambda$ is relative importance between the two terms.
  \end{itemize}
\end{frame}
%%-----------FRAME
\begin{frame}{The Optimal Weights }

\begin{itemize}

\item We seek the optimal solution 
\vspace{0.10cm}
%
% w_* = argmin(g(w))
%\begin{equation*}
%
$$\vec{w}_* = arg\min_{\vec{w}}(g(\vec{w}; \lambda, \vec{p}_o, \vec{w}_D)) $$
%
%\label{eq: w_* = argmin(g(w)) before log trans}
%\end{equation*}

%
%
Satisfies: 
\vspace{0.05cm}
%
%
$$ \nabla g(\vec{w}_*) = 0 $$
%
%
\item Written using our previous notations as:\vspace{0.05cm}
%
%
\begin{equation*}
%
g(\vec{w}) = c_{\vec{w}_D}^2 (\vec{w}-\vec{w}_D)^T(\vec{w}-\vec{w}_D)+c_{\vec{p}_o}^2(M^{-1}(\vec{w})\vec{b}-\vec{p}_o)^T(M^{-1}(\vec{w})\vec{b}-\vec{p}_o)
%
%\label{eq: g(w) using c_w_D (w-w_D)'(w-w_D)...}
\end{equation*}
%
%
\vspace {0.05cm} with $c_{\vec{w}_D} = \frac{\sqrt{\lambda}}{||\vec{w}_D||_2}$ and $c_{\vec{p}_o} = \frac{\sqrt{1-\lambda}}{||\vec{p}_o||_2}$

\vspace {0.1cm}That is, the solution satisfies 
%
%
\begin{equation*}
%
\nabla g(\vec{w}_*)= c_{\vec{w}_D}^2 (\vec{w}_*-\vec{w}_D)+c_{\vec{p}_o}^2 \nabla (M^{-1}(\vec{w}_*)\vec{b})^T(M^{-1}(\vec{w}_*)\vec{b}-\vec{p}_o) =0 
%
%\label{eq: grad(g) = 0 using c_w_D^2 (w-w_D)...}
\end{equation*}
%
%
\end{itemize}
\end{frame}

\begin{frame}{Nonlinear Optimization Problem}

\begin{itemize}
\item The regularization creates an overdetermined system%
%
\vspace{0.25cm}
%\begin{equation*}
$$	%
	\left[
	\begin{array}{c}
		B(\vec{p}_o) \\
		\hline
		I_{n_w}
	\end{array}
	\right]
	\vec{w}_o
	=
	\left[
	\begin{array}{c}
		0 \\
		\hline
		\vec{w}_D
	\end{array}
	\right]$$
	%\label{eq: [B(p), I] * w = [0, w_D]}
%\end{equation*}
%
%
\item Imposing our heuristic results in a nonlinear term $M^{-1}(\vec{w})$ with respect to $\vec{w}$
\item We solve this problem with a Leavenberg-Marquardt nonlinear least squares algorithm
\end{itemize}

\end{frame}
%%-----------FRAME

%%-----------FRAME
\begin{frame}{Our Goals}
\begin{itemize}
\item Solve nonlinear Optimization problem solved employing Leavenberg-Marquardt algorithm.

\item We use the graph to predict the new breakthrough curves  for a pressure head change. Comparing our results to a high fidelity model. 

\item Provide uncertainty quantification on the  parameters. Using cross validation and bootstrapping in the parameter space. \\
	-Breakthrough curve UQ (with ensemble)\\
	-Parameter UQ (Bootstrapping)

\end{itemize}
\end{frame}

%%-----------SECTION
\section{Preliminary Results}

%%-----------FRAME
\begin{frame}{\normalsize Some Preliminary Results of Pressure Calibration}

     	%-----------------Figure
	\vspace{-0.5cm}	
     	\begin{figure}[thpb]
      		\includegraphics[width=.95\textwidth]{figures/phys_observed_pressures_rnd_select}
      		\vspace{-.25cm}
       		\caption{\scriptsize Results of minimizing the objective function. We run 3D DFN code and generate a set of pressures (observed), 
		we calibrated network model with two $\lambda$s to test difference in its importance.
		 All data is plotted versus the observed pressures and includes physical pressures and two calibrated pressures at $\lambda =0.2$ and $0.95$. Calibration results \textcolor{red}{relatively insensitive} to $\lambda$.}
	\end{figure}
	
\end{frame}

%%-----------FRAME
\begin{frame}{\normalsize Preliminary Result of Weights Calibration}

     	%-----------------Figure
	\vspace{-0.5cm}	
     \begin{figure}[thpb]
      %
       \includegraphics[width=.85\textwidth]{figures/scatter_cal_weights_rnd_slct}
       \tiny
       \caption{\scriptsize Log-log plots of calibrated weights vs physical weights. For $\lambda = 0.2$ are performing worse than their counter-part with $\lambda = 0.95$.}
       %
\end{figure}
\end{frame}

%%-----------FRAME
\begin{frame}{\normalsize Improved breakthrough curve match }
     \begin{figure}[thpb]
      %
       \includegraphics[width=.85\textwidth]{figures/breakthrough_curve}
       \tiny
       \caption{\scriptsize Breakthrough curves for timings of particle transport. Break-through curves for the observed pressures, the physical pressures, and two sets of calibrated pressures. The \textcolor{blue}{blue} curve is associated with $\lambda = 0.2$. The \textcolor{red}{red} curve is associated with $\lambda = 0.95$. Breakthrough \textcolor{red}{is sensitive} to $\lambda$.}
       %
\end{figure}
\end{frame}


%-----------FRAME
\begin{frame}{References}
\centering 
\small
THANKS!
\tiny
\bibliographystyle{plain}
\bibliography{_999_references}
\end{frame}

%
%%%%%-----------FRAME
%%\begin{frame}{Future directions in UQ and conclusions}
%%
%%    \begin{itemize}
%%    \footnotesize
%%        \item The main outcome of producing accurate pressures is creating a breakthrough curve for particles being transported from the inlet to the outlet boundaries via the calibrated graph network.\\[1.0ex]
%%        
%%        \item Uncertainty framework can rely on subgraphs and a modified approach to bootstrapping \cite{OMALLEY2018}\\[1.0ex]
%%        
%%        \item Other formulations that expand on Darcys law, can be included in our modeling for comparison.\\[1.0ex]
%%        
%%        \item Another consideration for future development is the uncertainty of our predictions or breakthrough curves. This uncertainty can also be modeled using our graph network by solving the forward problem over varying weights.\\[1.0ex]
%%        
%%        \item Our numerical example focused on a single instance of 500 fractures. We can increase to 1000, and 10,000.\\[1.0ex]
%%        
%%        \item Subgraph selections are also possible.
%%
%%    \end{itemize}
%%
%%\end{frame}
%
%%%%%%%%%%%%FRAME%%%%%%%%%%%
%%%%-----------FRAME
%\begin{frame}{References}
%\centering 
%\small
%THANKS!
%\tiny
%\bibliographystyle{plain}
%\bibliography{_999_references}
%
%\end{frame}







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%
%%	This is where the old presentation starts
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%












%%\begin{frame}{Introduction}
%%
%%% \begin{minipage}{0.45\textwidth}
%%\underline{Geophysical Formations:}
%%\begin{itemize}
%%	%
%%		\item Hot and cold aqueous fluids have flowed and seeped through sand and fractured rocks for eons \ldots modifying the composition by dissolution, chemical reactions and depositions (Phillips 2009).
%%	%
%%		\item Last couple of lifetimes, human activity heightened needs to:
%%			\begin{itemize}
%%				\item understand, model, predict geological fluid phenomenon for 
%%				\item energy extraction, water resources,  and nuclear management and nonnuclear proliferation. 		
%%			\end{itemize}
%%\end{itemize}
%%% \end{minipage}
%%
%%% \hspace{20pt}
%%

%%
%%
%%\begin{frame}
%%\frametitle{Relevant Problems: Water Resources}
%%\underline{Water resources}
%%
%%\begin{itemize}
%%	\item agricultural and industrial wastes lead to contaminant buildups \cite{bohlke2001} 
%%	%(JL: this is a really good article to read for background information on the subject )
%%	\item hazardous to human, plant and animal health. 
%%	\item data indicates many of world's surficial aquifers contain transient records of changing agricultural contamination from the last half of the 20th century. 
%%	\item problems have been commonly cited related to drinking-water quality
%%	\item many studies indicate groundwater contanimation by $NO_3^-$ (nitrate) 
%%	\item shallow aquifers commonly exceed drinking-water maximum contaminant level (MCL) of 10mg/L
%%	
%%	\item Agricultural 
%%\end{itemize}
%%\end{frame}
%%
%%\begin{frame}{Relevant Problems: What does $NO_3^-$ do?: Effects on humans}
%%\underline{What does $NO_3^-$ do?: Effects on humans}
%%\begin{itemize}
%%    \item   most commonly observed problem: dysfunction of the thyroid gland (Galaviz-Villa 2010) (JL: also a really good article on the background, requires little to no chem knowledge)
%%	\item production of nitrosamines (a carcinogen)
%%	\item was part of agreements at the Conference of the United Nations on the Environment and Development signed by Mexico
%%\end{itemize}
%%    \begin{figure}[h]
%%        \includegraphics[width=.2\textwidth]{figures/Nitrosamine}
%%        \caption{Nitrosamine Molecule}
%%        \label{fig: info energy}
%%    \end{figure}
%%\end{frame}
%%
%%\begin{frame}{Relevant Problems: Energy Extraction}
%%\underline{Energy extraction:}
%%\begin{itemize}
%%    \item the energy required by buildings is nearly 20\%-40\% in developing countries, exceeding those required by industry and transportation (Perez-Lombard 2008)
%%    \item in the US, HVAC (heating ventilation and air conditioning) is 50\% of building consumption and 20\% of total consumption in the US
%%\end{itemize}
%%
%%\end{frame}
%%
%%\begin{frame}{Relevant Problems: Energy Extraction}
%%    \begin{figure}[h]
%%        \includegraphics[width=.9\textwidth]{figures/energy_consumption_by_source_large}
%%        \caption{U.S. energy consumption by energy sources 2017}
%%        \label{fig: info energy}
%%    \end{figure}
%%\end{frame}
%%
%%
%%\begin{frame}{Introduction: Relevant Problems: World Energy}
%%    \underline{On world energy use:}
%%        \begin{itemize}
%%    	\item world energy usage raises concerns on limited supplies
%%		\item heavy impacts environmental impacts
%%		\item The International Energy Agency: From 1984 -- 2004 primary energy grown by 49\% and CO2 emissions by 43\%. Average annual increases of 2\% and 1.8\% 
%%		\item Emerging economy nations (Southeast Asia, Middle East, South America Africa) energy use growth average annual rate 3.2\%
%%		\item Developed countries (North America, Western Europe, Japan, Australia, New Zealand) at 1.1\%
%%		 \item China has taken 20 years to double energy consumption at average growing rate of 3.7\%
%%    \end{itemize}
%%\end{frame}
%%
%%\begin{frame}{Relevant Problems: World Energy}
%%		\begin{itemize}
%%		  \item Several factors of world energy indicators between 1973 -- 2004 (14 years ago)
%%			\item pop growth rate is below GDP, personal income and global wealth rises
%%			\item primary energy consumption is higher than population, increase of per capita value 
%%			\item CO2 emissions grown lower rate than energy consumption showing 5\% increase during this period
%%			\item electrical energy consumption has increased nearly 250\% 
%%			\item efficiency in exploiting energy resources, shown as relation between final and primary energy, has declined 7\% (less new energy!!)
%%        \end{itemize}
%%\end{frame}
%%
%%\begin{frame}{Introduction: Relevant Problems: Peak Oil}
%%		\begin{itemize}
%%		  \item 2005 was the first year a major oil company admitted that oil production is reaching its Hubbert peak  (ASPO Newsletter, 2005) 
%%          
%%          \item \textbf{Def: Hubbert peak theory} (Wikipedia):  for any given geographical area, from an individual oil-producing region to the planet as a whole, the rate of petroleum production tends to follow a bell-shaped curve.  
%%
%%        \end{itemize}
%%\end{frame}
%%     
%%\begin{frame}{Relevant Problems: Peak Oil}
%%    \underline{Given:}
%%        \begin{itemize}
%%         \item \begin{align}
%%                  Q(t) = \frac{Q_{max}}{1 + a \exp{(-b t)}} \nonumber
%%              \end{align}
%%              \begin{itemize}
%%                  \item  $Q(t)$ is cumulative petroleum production, 
%%                  \item  $Q_{max}$ is total resource available,
%%                  \item  $t_{max} = 1/b\ln(a)$ the year of maximum annual production
%%                  \item $a, b$ \text{constants}
%%              \end{itemize}
%%              
%%         \item Hubbert curve is 
%%         $$Q'(t) = Q_{max} / (1 + a \exp{(-bt)}) ^{2} *(ab\exp{(-bt)}) $$
%%        \end{itemize}
%%\end{frame}
%%
%%\begin{frame}{Relevant Problems: Peak Oil}
%%    \begin{figure}[h]
%%        \includegraphics[width=.95\textwidth]{figures/1066px-Hubbert_world_2004.png}
%%        \caption{U.S. energy consumption by energy sources 2017}
%%        \label{fig: info energy}
%%    \end{figure}
%%\end{frame}
%%% 
%%
%%\begin{frame}{Relevant Problems: Peak Oil}
%%    \underline{Hydrofracturing}
%%    \begin{itemize}
%%     \item \href{https://www.youtube.com/watch?v=VY34PQUiwOQ}{\underline{Hydraulic Fracturing (fracking)}}
%%     \begin{itemize}
%%        \item What minutes to focus on: 
%%        \item 5s -- 55s. Definitions,  
%%        \item 2m 05s -- 2m 23s Horizontal drilling 
%%        \item 2m 55s --  5m Perforating gun/hydrofracturing/gas and oil recovery (4m 21s 3d picture of fractures)
%%     \end{itemize}
%%      \item \href{https://www.youtube.com/watch?v=Wx_2SVm9Jgo}{\underline{VOX: It's time to draw borders on the Arctic Ocean}}.
%%         \begin{itemize}
%%             \item What to focus on:
%%             \item 0m -- 30s: intro 
%%             \item 1m 42s -- 2m 50s:arctic ocean melting, Petrol 
%%         \end{itemize}
%%    \end{itemize}
%%\end{frame}
%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%
%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%\section{Discrete Fracture Network Background}
%%\begin{frame}\frametitle{What do fractured rocks have anything to do with this?}
%%\textbf{What do fractured rocks have anything to do with this?}
%%    \begin{itemize}
%%          \item \textbf{Def}: fractures are mechanical breaks in rocks; originate from strains arising from stress concentrations around flaws, heterogeneities, and physical discontinuities   (NRC 1996) 
%%          
%%          \item Fractures have been previous identified as \textbf{the primary pathways} for fluid flow in low-permeability subsurface media (Gowri S. 2018, Gowri S. 2016)
%%          
%%          \item Fractures represent concentrations of void space in rocks
%%          
%%        %   \item Fractures form in response to lithostatic, tectonic, and thermal stresses and high fluid pressures
%%          
%%          \item Interest in fluid flow in fractured rock has grown rapidly in the past two decades, as a tool in recovering water, hydrocarbon supplies, geothermal energy, and predicting flow of underground pollutants (National Research Council. et. al. 1996)
%%    \end{itemize}
%%\end{frame}
%%
%%\begin{frame}{What do fractured rocks have anything to do with this?}
%%    \begin{itemize}
%%        \item \underline{Petroleum reservoirs} form in highly fracture rocks. \begin{itemize}
%%            \item Matrix porosity stores the hydrocarbons
%%            \item Fractures provide permeable pathways for the transport of hydrocarbons to producing wells 
%%        \end{itemize} 
%%
%%        \item \underline{Water supply} usually finding water supply wells is similar to finding petroleum except they don't have the same financial resources (surprise!)  
%%        \begin{itemize}
%%            \item Little cost-effective technology for siting wells for optimum production
%%            \item now more COMMON for HYDROFRACTURE methods to be used as a method to stimulate water supply 
%%        \end{itemize}
%%        
%%    \end{itemize}
%%\end{frame}
%%    
%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%\section{Discrete Fracture Network Models}
%%
%%\begin{frame}{Discrete Fracture Networks for High-fidelity computations}
%%\begin{minipage}{0.45\textwidth}
%%\begin{itemize}
%%\footnotesize
%%    \item Come up with a way to simulate fractures for PDE flow and transport calculations
%%    \item Modeling is difficult because it is subject to two central challenges:  
%%     \begin{itemize}
%%        \footnotesize
%%         \item Gathering of field data to inform us about the geophysical properties
%%            \item Computation cost of accurate modeling techniques 
%%        \end{itemize} 
%%        \item Advanced modeling techniques of discrete fracture networks (DFNs) have served as powerful tools to simulate flow and transport through a \textcolor{red}{virtual} DFN 
%%    \end{itemize}
%%    \normalsize
%%\end{minipage}
%%\hspace{17pt}
%%\begin{minipage}{0.45\textwidth}
%%%------------------------------------------------
%%\vspace{-30pt}
%%\begin{figure}[h]
%%\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
%%\caption{Simulated DFN used for high-fidelity computations}
%%\label{fig: DFN}
%%\end{figure}
%%%------------------------------------------------------
%%\end{minipage}
%%\end{frame}
%%
%%
%%\begin{frame}{Discrete Fracture Networks for High-fidelity computations}
%%\begin{minipage}{0.45\textwidth}
%%\underline{How is this done?}
%%    \begin{itemize}
%%     \footnotesize 
%%        \item First, the generation of discrete fractures by populating a 3D control volume with 2D idealized fractures (Stochastic generation)
%%        \item Pruning and correcting for unrealistic connections 
%%        \item Meshed finite elements for the numerical PDE solution have been validated against field observations at laboratories such as the Aspo Hard Rock Laboratory (Gowri 2018) 
%%    \end{itemize}
%%    \normalsize
%%\end{minipage}
%%\hspace{17pt}
%%\begin{minipage}{0.45\textwidth}
%%%------------------------------------------------
%%\vspace{-30pt}
%%\begin{figure}[h]
%%\includegraphics[width=\textwidth]{figures/larger_network_family_small.png}
%%\caption{Simulated DFN used for high-fidelity computations}
%%\label{fig: DFN}
%%\end{figure}
%%%------------------------------------------------------
%%\end{minipage}
%%\end{frame}
%%

%%
%%

%%

%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%\begin{frame}{Problem Details: Forward Problem}
%%\scriptsize %size of text
%%
%%% \centering
%%\begin{minipage}{0.45\textwidth}
%%\begin{align}
%%&p_i\sum_{j=1}^n w_{ij} -  \sum_{j=1}^n w_{ij}p_j =0 \nonumber\\[1.25ex]
%%&colsum_i = \begin{cases} 
%%    \sum_j w_{ij} & \text{if} \ v_i \ \text{is an}\\
%%	 &\text{internal node} \\
%%     1 & \text{if} \ v_i \ \text{is a}\\
%%     &\text{boundary node} \\
%%    \end{cases} \nonumber \\[1.25ex]
%%&D = [colsum_i]_{i=1}^n \nonumber \\[1.25ex]
%%&A =  \bigg[ \begin{cases} 
%%     w_{ij} &\text{if  $v_i$ connected to $v_j$ }\\ 
%%            &\text{and $v_i$ not a boundary node }\\
%%      0 & \text{otherwise}
%%   \end{cases} \bigg] \nonumber\\[1.25ex]
%%&  \vec{b} = \begin{cases}
%%    0 & \text{if} \ v_i \ \text{is an internal node} \\
%%    p_i & \text{if} \ v_i \ \text{is a boundary node}
%%    \end{cases} \nonumber
%%\end{align}
%%\end{minipage}
%%%%%%%
%%\hspace{-5pt}
%%%%%%%
%%\begin{minipage}{0.45\textwidth}
%%%textsize
%%\scriptsize
%%
%%\begin{align}
%%\Aboxed{&(D-A)\vec{p} = \vec{b}} \\[1.25ex]
%%\Aboxed{&\parbox{15em}{Solve for pressures $\vec{p}$,\\
%%given boundary pressures $\vec{b}$ and prescribed weights ${w_{i,j}}$}}  \nonumber
%%\end{align}
%%
%%\end{minipage}
%%
%%\end{frame}
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%

%%

%%
%%%%%%%%%%%FRAME%%%%%%%%%%%

%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%\begin{frame}
%%     \begin{figure}[thpb]
%%      %
%%       \includegraphics[width=1.0\textwidth]{figures/D_mn_v_lambda}
%%       \tiny
%%       \caption{\scriptsize $D_{mn}$ values for 10 stochastic runs as a way to determine a goodness of fit by the calibrated break- through curve compared to the observed break-through curve. A rejection level of $\alpha = 0.01$ is used to decide if the two empirical cumulative distributions originate from the same probability distribution. We also observe that the best result is achieved when $\lambda = 0.2$, while the worst result is associated with $\lambda = 0.95$.}
%%       %
%%\end{figure}
%%\end{frame}
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%

%%
%%%%%%%%%%%FRAME%%%%%%%%%%%
%%\section{Future Work}
%%\begin{frame}
%%\underline{Future Work:}
%%    \begin{itemize}
%%        %%    \end{itemize}
%%\end{frame}
%%%%%%%%%%%FRAME%%%%%%%%%%%
%
%
%


%%%%%PART REFERENCES-------------------  

\end{document}